> For the complete documentation index, see [llms.txt](https://api.qvalia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.qvalia.io/api-documentation/apis/partner-api/transaction-api.md).

# Transaction API

Operations related to Peppol messaging

## Get Partner accounts transactions

> \*\*NB! This documented endpoint has a pseudo path URI!\*\* (read below)\
> \
> An API to fetch (GET) your Partner accounts transactions.\
> \
> Using the prefix of \`/partner/{partnerRegNo}\` you, as a partner, can access your accounts transactions through Qvalia Transaction API.\
> \
> \`(message-type)\` and \`(direction)\` attributes in URI refers to Transaction API endpoints, e.g. \`invoices\` and \`incoming\`, which results in \`/partner/{partnerRegNo}/transaction/{accountRegNo}/invoices/incoming\`.\
> \
> \`(message-type)\` and \`(direction)\` are interchangable for all Transaction API endpoints, as well as for the \`read\` endpoints, by adding the \`read\` attribute to the URI.\
> \
> Refer to documentation for handling transactions at \[Qvalia Transaction API]\(<https://api.qvalia.io/api-documentation/apis/transaction-api>)

```json
{"openapi":"3.0.2","info":{"title":"Qvalia Partner API","version":"1.0.0"},"tags":[{"name":"Transaction API","description":"Operations related to Peppol messaging"}],"servers":[{"url":"https://api-qa.qvalia.com"},{"url":"https://api.qvalia.com"}],"security":[{"api_key":[]},{"jwt":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"Authorization","in":"header"},"jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT-based authentication. The Authorization header must be set as:\nAuthorization: Bearer <token>\nObtain a token via POST /token/{accountRegNo} (see [Qvalia Authentication API](qvalia_api_authentication.yaml)).\n"}},"parameters":{"partnerRegNo":{"name":"partnerRegNo","in":"path","required":true,"schema":{"type":"string"},"description":"Partner registration number issued by Qvalia"},"accountRegNo":{"name":"accountRegNo","in":"path","required":true,"schema":{"type":"string"},"description":"Account registration number issued by Qvalia"}}},"paths":{"/partner/{partnerRegNo}/transaction/{accountRegNo}/(message-type)/(direction)":{"get":{"tags":["Transaction API"],"summary":"Get Partner accounts transactions","description":"**NB! This documented endpoint has a pseudo path URI!** (read below)\n\nAn API to fetch (GET) your Partner accounts transactions.\n\nUsing the prefix of `/partner/{partnerRegNo}` you, as a partner, can access your accounts transactions through Qvalia Transaction API.\n\n`(message-type)` and `(direction)` attributes in URI refers to Transaction API endpoints, e.g. `invoices` and `incoming`, which results in `/partner/{partnerRegNo}/transaction/{accountRegNo}/invoices/incoming`.\n\n`(message-type)` and `(direction)` are interchangable for all Transaction API endpoints, as well as for the `read` endpoints, by adding the `read` attribute to the URI.\n\nRefer to documentation for handling transactions at [Qvalia Transaction API](https://api.qvalia.io/api-documentation/apis/transaction-api)","operationId":"partner/get-partner-account-transaction","parameters":[{"$ref":"#/components/parameters/partnerRegNo"},{"$ref":"#/components/parameters/accountRegNo"}],"responses":{"200":{"description":"See [https://api.qvalia.io/api-documentation/apis/transaction-api](https://api.qvalia.io/api-documentation/apis/transaction-api)"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.qvalia.io/api-documentation/apis/partner-api/transaction-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
